get:
  tags:
    - Operator
  summary: Gets the list of given subscription's cluster's operators matching the given name.
  x-role: operator-api-admin
  operationId: getOperatorCluster
  parameters:
    - name: tenant
      in: path
      description: Tenant (subscription identifier)
      required: true
      schema:
        type: string
    - name: clusterId
      in: path
      description: Cluster ID
      required: true
      schema:
        type: string
    - name: operatorName
      in: path
      description: Operator name
      required: true
      schema:
        type: string
        enum: [redis-operator,redirects-operator,environment-operator]
  responses:
    200:
      description: OK
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '../../schemas/operator/operator_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
post:
  tags:
    - Operator
  summary: Install the operator in the given subscription's cluster.
  x-role: operator-api-admin
  operationId: installOperatorCluster
  parameters:
    - name: tenant
      in: path
      description: Tenant (subscription identifier)
      required: true
      schema:
        type: string
    - name: clusterId
      in: path
      description: Cluster ID
      required: true
      schema:
        type: string
    - name: operatorName
      in: path
      description: Operator name
      required: true
      schema:
        type: string
        enum: [redis-operator, redirects-operator]
  responses:
    202:
      description: Accepted
      content:
        application/json:
          schema:
            $ref: '../../schemas/async_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
    404:
      $ref: '../../openapi.yaml#/components/responses/NotFound'
delete:
  tags:
    - Operator
  summary: Remove the operator from the given subscription's cluster.
  x-role: operator-api-admin
  operationId: uninstallOperatorCluster
  parameters:
    - $ref: '#/post/parameters/0'
    - $ref: '#/post/parameters/1'
    - $ref: '#/post/parameters/2'
  responses:
    202:
      description: Accepted
      content:
        application/json:
          schema:
            $ref: '../../schemas/async_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
    404:
      $ref: '../../openapi.yaml#/components/responses/NotFound'